Bug 131753 - System response degrades under heavy i/o loads.
System response degrades under heavy i/o loads.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-03 17:57 EDT by Paul Hansen
Modified: 2013-03-06 00:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-08 07:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test program used to reproduce problem (3.81 KB, text/plain)
2004-09-03 17:59 EDT, Paul Hansen
no flags Details

  None (edit)
Description Paul Hansen 2004-09-03 17:57:55 EDT
Description of problem:
The system becomes unresponsive during periods of heavy i/o.

This bug began life as service request 345034.  I tried using and
ext2 filesystem in place of ext3 and (not unexpectedly) halved
i/o's but no real change in response time to commands from the
shell prompt, telnets into the system, etc.  Am including the
original description of the service request:

Our application does large amounts of i/o (writes out 10GB to a file, 
reads 
similar amounts from a local file).  During these periods, any other 
activity 
on the system becomes impossible (such as an ls, a remote login, 
etc.).  I 
was wondering if you have any tuning recommendations that you could 
forward. 
I've checked through the support database, but didn't see anything.  
I've 
been changing system parameters such as /proc/sys/vm/bdflush, using 
elvtune, 
along with old unix tricks like noatime on file systems, but haven't 
really 
gotten the right combination.


Version-Release number of selected component (if applicable):
e49enterprise

How reproducible:
Very

Steps to Reproduce:
1.Run something that generates a heavy write load (such as the 
attached program).
2.Try to do an ls from a command prompt; try telneting to the 
machine
3.
  
Actual results:
Response time to commands on the order of minutes

Expected results:
Response time to commands in the seconds range.

Additional info:
System is a Compaq Proliant DL380G3 with dual 3.06GHz Xeons with
9GB of memory writing to locally mounted SCSI drives.
Comment 1 Paul Hansen 2004-09-03 17:59:21 EDT
Created attachment 103453 [details]
Test program used to reproduce problem
Comment 2 Neil Horman 2004-09-08 07:33:02 EDT
closing, as this appears (at least at the moment) to be a customer
request for VM tuning (tracking in IT48502) and not a VM bug, per se.

Note You need to log in before you can comment on or make changes to this bug.